ChangeSet 1.1608.84.23, 2004/03/10 12:42:17-08:00, rddunlap@osdl.org

[PATCH] USB: fix net2280 section usage

 net2280_remove() is called by net2280_probe() so it
 shouldn't be marked as __exit;


 drivers/usb/gadget/net2280.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/gadget/net2280.c b/drivers/usb/gadget/net2280.c
--- a/drivers/usb/gadget/net2280.c	Tue Mar 16 15:02:22 2004
+++ b/drivers/usb/gadget/net2280.c	Tue Mar 16 15:02:22 2004
@@ -2663,7 +2663,7 @@
 
 /* tear down the binding between this driver and the pci device */
 
-static void __exit net2280_remove (struct pci_dev *pdev)
+static void net2280_remove (struct pci_dev *pdev)
 {
 	struct net2280		*dev = pci_get_drvdata (pdev);
 
@@ -2884,7 +2884,7 @@
 	.id_table =	pci_ids,
 
 	.probe =	net2280_probe,
-	.remove =	__exit_p(net2280_remove),
+	.remove =	net2280_remove,
 
 	/* FIXME add power management support */
 };
